﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WindowsFormsApplication1.XMLwork;
using WindowsFormsApplication1.SNetwork;

namespace WindowsFormsApplication1.FormActions
{
    class FormAction
    {
        public static void OpenDialogForReadSNetwork(ToolStripMenuItem uloz  )
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.Title = "Select a Cursor File";
            openFileDialog1.Filter = "Sensor network|*.xml";
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                Program.cloud.sn = XMLRead.getSNetworkFromFile(openFileDialog1.FileName);
                Program.cloud.actualPathToSN = openFileDialog1.FileName;
                uloz.Available = true;
            }
            Program.cloud.sn.changed = true;
            Program.cloud.drawSN(0);
        }

        public static void removeLastRow(RichTextBox rtx)
        {
            List<string> myList = rtx.Lines.ToList();
            if (myList.Count > 0)
            {
                
                myList.RemoveAt(myList.Count - 1);
                if (myList.Count > 0)
                    myList.RemoveAt(myList.Count - 1);
                string s="";
                if (myList.Count > 0)
                {
                    s = myList.ElementAt(myList.Count - 1);
                    myList.RemoveAt(myList.Count - 1);
                }
                myList.Add(s +"\r\n");
                rtx.Lines = myList.ToArray();
                rtx.Refresh();
            }
        }

        public static void SaveDialogForSaveSNetwork()
        {

            SaveFileDialog saveFileDialog1 = new SaveFileDialog();
            saveFileDialog1.InitialDirectory = Convert.ToString(Environment.SpecialFolder.MyDocuments); 
            saveFileDialog1.Filter = "Sensor network|*.xml";
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                XMLWrite.saveNetoworkInFile(Program.cloud.sn, saveFileDialog1.FileName);

            }
        }

        internal static void drawSN()
        {
            Program.cloud.draw.DrawSensorsOfNetwork(Program.cloud.sn, true, false,true);
        }
    }
}
