﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApplication1.Events;
using WindowsFormsApplication1.SNetwork;

namespace WindowsFormsApplication1.MyMath
{
    public class MyPointWithDist : WithActers,  IComparable
    {
        public double distance;
        public MyPoint location;
        //znamena, ci to nie je pridavny bod do pridavnej konfiguracie
        public bool AddedAsEventLocation = false;
        public List<SPoint> ForAddeqSPs = new List<SPoint>(1);

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

        public MyPointWithDist(MyPoint mp, double dist)
        {
            this.distance = dist;
            this.location = mp;
        }

        /// <summary>
        /// return true if obj is same class and MyPoint intersection equals to obj MyPoint intersection
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public override bool Equals(Object obj)
        {
            if (!(obj is MyPointWithDist)) return false;
            MyPointWithDist s = (MyPointWithDist)obj;
            if (this.location.Equals(s.location)) 
                return true;
            return false;
        }

        public int CompareTo(object obj)
        {
            if (obj == null) return 1;
            MyPointWithDist s = obj as MyPointWithDist;
            if (this.distance > s.distance) return 1;
            if (this.distance < s.distance) return -1;
            if (this.distance == s.distance) return 0;
            return 1;
        }

    }
}
