﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApplication1.MyMath;

namespace WindowsFormsApplication1.SNetwork
{
    class BSensor : Sensor
    {

        public BSensor(MyPoint b, MyPoint e)
            : base(b, e)
        {
        }

        public BSensor(double x1, double y1, double x2, double y2)
            : base()
        {
            double myconst = Parameters.myconst;

            this.b = new MyPoint(x1 * myconst, y1);
            this.e = new MyPoint(x2 * myconst, y2);

            bTriangleNetPoint = new MyPoint(x1, y1);
            eTriangleNetPoint = new MyPoint(x2, y2);
        }

        public override string ToString()
        {
            return "id=" + this.id + " [b: " + b.ToString() + ",e: " + e.ToString() + "]";
        }


    }

}
