﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApplication1.SNetwork;

namespace WindowsFormsApplication1.Events
{
    //trieda, ktora sluzi na udrziavanie si akterov
    public class WithActers
    {
        public List<Sensor> Acters = new List<Sensor>(10);

        public void addActer(Sensor s)
        {
            if (!Acters.Contains(s))
                Acters.Add(s);
        }

        public void addActers(Sensor s1, Sensor s2)
        {
            addActer(s1);
            addActer(s2);
        }

        public void addActers(List<Sensor> listOfActers)
        {
            foreach (Sensor s in listOfActers)
            addActer(s);
        }

        public override string ToString()
        {
            String str = "aktéry: ";
            foreach (Sensor s in this.Acters)
            {
                str = str + s.id.ToString() + ",";
            }

            return str;
        }

        public override bool Equals(Object obj)
        {
            if (!(obj is WithActers)) return false;

            WithActers wa = (WithActers)obj;
            
            if (wa.Acters.Count != this.Acters.Count)
                return false;
            
            foreach (Sensor s in wa.Acters)
            {
                if (!this.Acters.Contains(s))
                    return false;
            }
            
             return true;
        }
        public override int GetHashCode()
        {
            return base.GetHashCode();
        }
    }
}
