﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1.Graph
{
    public class EdgeWithAngle : IComparable
    {
        public int indexBVertex;
        public int indexEVertex;
        public double angle;
        public bool flagVisited = false;
        //do ktorej skupiny specialnych hran patri, ak do ziadnej tak je to -1
        public int indexOFSpecial = -1;

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

        public EdgeWithAngle(int id_b, int id, double angle_2)
        {
            this.indexBVertex = id_b;
            this.indexEVertex = id;
            this.angle = angle_2;
        }

        public override bool Equals(Object obj)
        {
            if (!(obj is EdgeWithAngle)) return false;
            EdgeWithAngle s = (EdgeWithAngle)obj;
            if (this.angle == s.angle && this.indexEVertex == s.indexEVertex)
                return true;
            return false;
        }

        public int CompareTo(object obj)
        {
            if (obj == null) return 1;
            EdgeWithAngle s = obj as EdgeWithAngle;
            if (this.angle > s.angle) return 1;
            if (this.angle < s.angle) return -1;
            if (this.angle == s.angle)
            {
                if (this.indexEVertex > s.indexEVertex) return 1;
                if (this.indexEVertex < s.indexEVertex) return -1;
                if (this.indexEVertex == s.indexEVertex) return 0;
            }
            return 0;
        }
    }
}
