﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1.Graph
{
    public class Vertex<T>
    {
        public int Index;
        public T Data;
        public List<Vertex<T>> Edges = new List<Vertex<T>>(10);
        public List<Vertex<T>> ExtraEdges = new List<Vertex<T>>(10);

        public Dictionary<int, int> ExtraEdgeIndex = new Dictionary<int, int>();
        public List<EdgeWithAngle> EdgesWithAngles = new List<EdgeWithAngle>();

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

        public Vertex()
        {
        }

        public Vertex(T data)
        {
            this.Data = data;
        }

        public Vertex(T data, int id)
        {
            this.Data = data;
            this.Index = id;
        }

        public override bool Equals(Object obj)
        {
            if (!(obj is Vertex<T>))
                return false;
            if (((Vertex<T>)obj).Index == this.Index) return true;
            return false;
        }

        public override String ToString()
        {
            return "";
        }

    }
}
